Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Interface ProteinProperties

public interface ProteinProperties

Defines protein properties constants.

Field Summary
`static java.lang.String` | `COMPLEX`
`static java.lang.String` | `HETERODIMER`
`static java.lang.String` | `HOMODIMER`
`static java.lang.String` | `MODIFICATION_NONE`
`static java.lang.String` | `MODIFICATION_PHOSPHORYLATED`
`static java.lang.String` | `MODIFICATION_UNKNOWN`
`static java.lang.String` | `MONOMER`
`static java.lang.String` | `MULTIMER`
`static java.lang.String` | `STATE_ACTIVE`
`static java.lang.String` | `STATE_INACTIVE`
`static java.lang.String` | `STATE_UNKNOWN`
`static java.lang.String` | `UNKNOWN`

Field Detail

### STATE_ACTIVE

    public static final java.lang.String STATE_ACTIVE

See Also:
  Constant Field Values

### STATE_INACTIVE

    public static final java.lang.String STATE_INACTIVE

See Also:
  Constant Field Values

### STATE_UNKNOWN

    public static final java.lang.String STATE_UNKNOWN

See Also:
  Constant Field Values

### MODIFICATION_NONE

    public static final java.lang.String MODIFICATION_NONE

See Also:
  Constant Field Values

### MODIFICATION_PHOSPHORYLATED

    public static final java.lang.String MODIFICATION_PHOSPHORYLATED

See Also:
  Constant Field Values

### MODIFICATION_UNKNOWN

    public static final java.lang.String MODIFICATION_UNKNOWN

See Also:
  Constant Field Values

### MONOMER

    public static final java.lang.String MONOMER

See Also:
  Constant Field Values

### HOMODIMER

    public static final java.lang.String HOMODIMER

See Also:
  Constant Field Values

### HETERODIMER

    public static final java.lang.String HETERODIMER

See Also:
  Constant Field Values

### MULTIMER

    public static final java.lang.String MULTIMER

See Also:
  Constant Field Values

### COMPLEX

    public static final java.lang.String COMPLEX

See Also:
  Constant Field Values

### UNKNOWN

    public static final java.lang.String UNKNOWN

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.